# Created by pyp2rpm-1.0.1
%global pypi_name rarfile
%define version 2.6

Name:           python-rarfile
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        RAR archive reader for Python
License:        ISC
URL:            https://pypi.python.org/pypi/rarfile
Source0:        https://pypi.python.org/packages/source/r/rarfile/rarfile-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-sphinx


%description
rarfile - RAR archive reader for Python
=======================================
This is Python module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python code.
- For compressed files runs unrar utility.


%package -n python3-rarfile
Summary:        RAR archive reader for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python-sphinx

%description -n python3-rarfile
rarfile - RAR archive reader for Python 3
=======================================
This is Python 3 module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python 3 code.
- For compressed files runs unrar utility.


%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}

# generate html docs
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

%files
%doc html README.rst LICENSE
%{python_sitelib}/*
%{python_sitelib}/*egg-info

%files -n python3-rarfile
%doc html README.rst LICENSE
%{python3_sitelib}/*
%{python3_sitelib}/*egg-info


%changelog
* Tue Dec 17 2013 dglent <dglent> 2.6-1.mga4
+ Revision: 558240
- Fix paths in %%files
- Fix paths in %%files
- imported package python-rarfile

